package com.ruoyi.back.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 院校计划导入对象 b_busi_wish_university_match_recruit_plan
 * 
 * @author voluntary
 * @date 2023-06-14
 */
public class BBusiWishUniversityMatchRecruitPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** ID */
    @Excel(name = "ID")
    private String udid;

    /** 院校招生代码 */
    @Excel(name = "院校招生代码")
    private String collegeCode;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 所在地 */
    @Excel(name = "所在地")
    private String location;

    /** 层次 */
    @Excel(name = "层次")
    private String level;

    /** 选科组合 */
    @Excel(name = "选科组合")
    private String course;

    /** 类别 */
    @Excel(name = "类别")
    private String type;

    /** 院校名 */
    @Excel(name = "院校名")
    private String universityName;

    /** 专业名 */
    @Excel(name = "专业名")
    private String marjorName;

    /** 包含专业 */
    @Excel(name = "包含专业")
    private String marjorBelongs;

    /** 专业方向 */
    @Excel(name = "专业方向")
    private String marjorDirection;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    private Integer status;

    /** 计划数 */
    @Excel(name = "计划数")
    private String planCount;

    /** 学费 */
    @Excel(name = "学费")
    private String xuefei;

    /** 学制 */
    @Excel(name = "学制")
    private String xuezhi;

    /** 专业组 */
    @Excel(name = "专业组")
    private String groups;

    /** 专业组 */
    @Excel(name = "专业组")
    private String groupsName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUdid(String udid) 
    {
        this.udid = udid;
    }

    public String getUdid() 
    {
        return udid;
    }
    public void setCollegeCode(String collegeCode) 
    {
        this.collegeCode = collegeCode;
    }

    public String getCollegeCode() 
    {
        return collegeCode;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }
    public void setLevel(String level) 
    {
        this.level = level;
    }

    public String getLevel() 
    {
        return level;
    }
    public void setCourse(String course) 
    {
        this.course = course;
    }

    public String getCourse() 
    {
        return course;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setUniversityName(String universityName) 
    {
        this.universityName = universityName;
    }

    public String getUniversityName() 
    {
        return universityName;
    }
    public void setMarjorName(String marjorName) 
    {
        this.marjorName = marjorName;
    }

    public String getMarjorName() 
    {
        return marjorName;
    }
    public void setMarjorBelongs(String marjorBelongs) 
    {
        this.marjorBelongs = marjorBelongs;
    }

    public String getMarjorBelongs() 
    {
        return marjorBelongs;
    }
    public void setMarjorDirection(String marjorDirection) 
    {
        this.marjorDirection = marjorDirection;
    }

    public String getMarjorDirection() 
    {
        return marjorDirection;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setPlanCount(String planCount) 
    {
        this.planCount = planCount;
    }

    public String getPlanCount() 
    {
        return planCount;
    }
    public void setXuefei(String xuefei) 
    {
        this.xuefei = xuefei;
    }

    public String getXuefei() 
    {
        return xuefei;
    }
    public void setXuezhi(String xuezhi) 
    {
        this.xuezhi = xuezhi;
    }

    public String getXuezhi() 
    {
        return xuezhi;
    }
    public void setGroups(String groups) 
    {
        this.groups = groups;
    }

    public String getGroups() 
    {
        return groups;
    }
    public void setGroupsName(String groupsName) 
    {
        this.groupsName = groupsName;
    }

    public String getGroupsName() 
    {
        return groupsName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("udid", getUdid())
            .append("collegeCode", getCollegeCode())
            .append("year", getYear())
            .append("location", getLocation())
            .append("level", getLevel())
            .append("course", getCourse())
            .append("type", getType())
            .append("universityName", getUniversityName())
            .append("marjorName", getMarjorName())
            .append("marjorBelongs", getMarjorBelongs())
            .append("marjorDirection", getMarjorDirection())
            .append("status", getStatus())
            .append("planCount", getPlanCount())
            .append("xuefei", getXuefei())
            .append("xuezhi", getXuezhi())
            .append("groups", getGroups())
            .append("groupsName", getGroupsName())
            .append("createTime", getCreateTime())
            .toString();
    }
}
